Installing and upgrading help

About upgrading to Moodle3.4

 
Picture of 方圆 蔡
About upgrading to Moodle3.4
 
These days, Moodle 3.4 has been released. My Moodle is 3.3 and I want to upgrade it to 3.4. However, I find that I need to upgrade the PHP to 7.0 at first. I search the way to upgrade the PHP,but I failed. My PHP is still 5.6. Do anyone know how to upgrade the PHP from 5.6 to 7.0? 


 
Average of ratings: -
Picture of Carlo Doe
Re: About upgrading to Moodle3.4
 

Hello,

Some cPanels allow you to change the version of your PHP. If you cannot find it, you can contact your hosting provider and ask them to update your PHP version to PHP7.0

Best of Luck,

 
Average of ratings: -
Picture of Howard Miller
Re: About upgrading to Moodle3.4
Core developersDocumentation writersParticularly helpful MoodlersPlugin developers

You would need to tell us what your operating system is and how PHP is/was installed.

If this is a hosted system you would be quickest asking your host's support team.

 
Average of ratings: -
Picture of 方圆 蔡
回复: Re: About upgrading to Moodle3.4
 

My operating system is Linux. And my PHP version now is 5.6.30

 
Average of ratings: -
Picture of Howard Miller
Re: 回复: Re: About upgrading to Moodle3.4
Core developersDocumentation writersParticularly helpful MoodlersPlugin developers

Again, a little more detail required. Look up how to upgrade PHP for your flavour of Linux.

It might be quicker to upgrade to a newer Linux distribution. For example, the last few Ubuntu releases have included PHP 7.x as standard. 

 
Average of ratings: -